/*
	Pixel Scale - A Screen Ruler and Planimeter
	Copyright © 2007 Harry Whitfield

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation; either version 2 of the License, or (at your
	option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License along
	with this program; if not, write to the Free Software Foundation, Inc.,
	51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

	Pixel Scale - version 2.2
	7 Augut, 2007
	Copyright © 2007 Harry Whitfield
	mailto:g6auc@arrl.net
*/

var pDeltaX =  1;	// adjustments for the mouse pointer
var pDeltaY =  0;

var area  = 0;
areaText.data = "0";

//var clockwise = 1;		// anti-clockwise = -1

var oldX = 0;
var oldY = 0;

var areaFactor = 1;
var areaScaleFactor = 1;

var areaTooltip = "Double-click to reset the area counter. To measure the area of a closed curve, place the tracer cross onto the curve, reset the counter, then drag the cross once around the curve.";
areaText.tooltip = areaTooltip;

function planMultiClick(obj)
{
	area = 0; areaText.data = "0";
}

function planMouseDown(obj)
{
	oldX = system.event.hOffset + pDeltaX;
	oldY = system.event.vOffset + pDeltaY;
	
	if (areaFactor !== 0) { areaScaleFactor = areaFactor / (ppiH * ppiV); } else { areaScaleFactor = 1; }
}

function updateArea()
{
	if (areaFactor !== 0) { areaScaleFactor = areaFactor / (ppiH * ppiV); } else { areaScaleFactor = 1; }
	
	var val = clockwise * area * areaScaleFactor;
	if (areaFactor !== 0) { areaText.data = val.toFixed(3); } else { areaText.data = Math.round(val); }
}

function planMouseMv(obj)
{
	var mvX = system.event.hOffset + pDeltaX;
	var mvY = system.event.vOffset + pDeltaY;
	
	target.hOffset = dragSpot.hOffset = mvX;
	target.vOffset = dragSpot.vOffset = mvY;
	
	var dx = mvX - oldX;
	var dy = mvY - oldY;
	
	area += 0.25*((mvX + oldX)*dy - (mvY + oldY)*dx);	// area += 0.5*(mvX*dy - mvY*dx);
	
	oldX = mvX;
	oldY = mvY;
	
	var val = clockwise * area * areaScaleFactor;
	if (areaFactor !== 0) { areaText.data = val.toFixed(3); } else { areaText.data = Math.round(val); }
}

function planUpdatePrefs()
{
	plan_window.width  = 2*screen.width;
	plan_window.height = 2*screen.height;

	var hOffset = ghOffset + 50;
	target.hOffset = dragSpot.hOffset = areaText.hOffset = hOffset;
	
	var vOffset = gvOffset - 100;
	areaText.vOffset = vOffset - 12;
	target.vOffset = dragSpot.vOffset = vOffset + 50;

	//area = 0; areaText.data = "0";
	
	if (preferences.clockwisePref.value == "1") { clockwise = 1; } else { clockwise = -1; }
	
	target.colorize  = preferences.tracerColorPref.value;
	areaText.color   = preferences.planTextColorPref.value;
	areaText.bgColor = preferences.bkgdColorPref.value;
}