/*
	Pixel Scale - A Screen Ruler and Planimeter
	Copyright © 2007 Harry Whitfield

	This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation; either version 2 of the License, or (at your
	option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	General Public License for more details.

	You should have received a copy of the GNU General Public License along
	with this program; if not, write to the Free Software Foundation, Inc.,
	51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

	Pixel Scale - version 2.2
	7 August, 2007
	Copyright © 2007 Harry Whitfield
	mailto:g6auc@arrl.net
*/

function setMode(mode)
{
	switch (mode)
	{
		case "40 pixels (10x4)":
			ruler.src  = "Resources/Images/rulr40_10.png";
			legend.src = "Resources/Images/legd40.png";
			label.src  = "Resources/Images/P40_10.png";
			button.hOffset = ghOffset + 60;
			buttonText.hOffset = ghOffset + 60;
			minW =   80;
			maxW = 1520;
			scaleFactor = 100;
			pixelMode = 100;
			areaFactor = 0;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next pixel scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in pixel^2.";
			break;
		case "96 pixels (32x3)":
			ruler.src  = "Resources/Images/rulr96_32.png";
			legend.src = "Resources/Images/legd96.png";
			label.src  = "Resources/Images/P96_32.png";
			button.hOffset = ghOffset + 48;
			buttonText.hOffset = ghOffset + 48;
			minW =   96;
			maxW = 1536;
			scaleFactor = 100;
			pixelMode = 100;
			areaFactor = 0;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next pixel scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in pixel^2.";
			break;
		case "96 pixels (48x2)":
			ruler.src  = "Resources/Images/rulr96_48.png";
			legend.src = "Resources/Images/legd96.png";
			label.src  = "Resources/Images/P96_48.png";
			button.hOffset = ghOffset + 48;
			buttonText.hOffset = ghOffset + 48;
			minW =   96;
			maxW = 1536;
			scaleFactor = 100;
			pixelMode = 100;
			areaFactor = 0;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next pixel scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in pixel^2.";
			break;
		case "100 pixels (10x10)":
			ruler.src  = "Resources/Images/rulr100_10.png";
			legend.src = "Resources/Images/legd100.png";
			label.src  = "Resources/Images/P100_10.png";
			button.hOffset = ghOffset + 50;
			buttonText.hOffset = ghOffset + 50;
			minW =  100;
			maxW = 1500;
			scaleFactor = 100;
			pixelMode = 100;
			areaFactor = 0;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next pixel scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in pixel^2.";
			break;
		case "100 pixels (50x2)":
			ruler.src  = "Resources/Images/rulr100_50.png";
			legend.src = "Resources/Images/legd100.png";
			label.src  = "Resources/Images/P100_50.png";
			button.hOffset = ghOffset + 50;
			buttonText.hOffset = ghOffset + 50;
			minW =  100;
			maxW = 1500;
			scaleFactor = 100;
			pixelMode = 100;
			areaFactor = 0;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next pixel scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in pixel^2.";
			break;
			
		case "1 cm in mm":
			ruler.src  = "Resources/Images/rulr40_10.png";
			legend.src = "Resources/Images/legd_cm.png";
			label.src  = "Resources/Images/cm.png";
			button.hOffset = ghOffset + 60;
			buttonText.hOffset = ghOffset + 60;
			minW =   80;
			maxW = 1520;
			scaleFactor = 101.6;
			pixelMode = 0;
			areaFactor = 6.4516;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to first inch scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in cm^2.";
			break;
		case "1 inch in 32nds":
			ruler.src  = "Resources/Images/rulr96_32.png";
			legend.src = "Resources/Images/legd96_inch.png";
			label.src  = "Resources/Images/inch_32.png";
			button.hOffset = ghOffset + 48;
			buttonText.hOffset = ghOffset + 48;
			minW =  96;
			maxW = 1536;
			scaleFactor = 96;
			pixelMode = 0;
			areaFactor = 1;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next inch scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in inch^2.";
			break;
		case "1 inch in 48ths":
			ruler.src  = "Resources/Images/rulr96_48.png";
			legend.src = "Resources/Images/legd96_inch.png";
			label.src  = "Resources/Images/inch_48.png";
			button.hOffset = ghOffset + 48;
			buttonText.hOffset = ghOffset + 48;
			minW =  96;
			maxW = 1536;
			scaleFactor = 96;
			pixelMode = 0;
			areaFactor = 1;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next inch scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in inch^2.";
			break;
		case "1 inch in 10ths":
			ruler.src  = "Resources/Images/rulr100_10.png";
			legend.src = "Resources/Images/legd100_inch.png";
			label.src  = "Resources/Images/inch_10.png";
			button.hOffset = ghOffset + 50;
			buttonText.hOffset = ghOffset + 50;
			minW =  100;
			maxW = 1500;
			scaleFactor = 100;
			pixelMode = 0;
			areaFactor = 1;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next inch scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in inch^2.";
			break;
		case "1 inch in 50ths":
			ruler.src  = "Resources/Images/rulr100_50.png";
			legend.src = "Resources/Images/legd100_inch.png";
			label.src  = "Resources/Images/inch_50.png";
			button.hOffset = ghOffset + 50;
			buttonText.hOffset = ghOffset + 50;
			minW =  100;
			maxW = 1500;
			scaleFactor = 100;
			pixelMode = 0;
			areaFactor = 1;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to centimeter scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in inch^2.";
			break;
			
		case "one-quarter-inch-to-the-foot (1:48)":
			ruler.src  = "Resources/Images/rulr96_48.png";
			legend.src = "Resources/Images/legd_A_48.png";
			label.src  = "Resources/Images/inch_1_48.png";
			button.hOffset = ghOffset + 48;
			buttonText.hOffset = ghOffset + 48;
			minW =  96;
			maxW = 1536;
			scaleFactor = 96;
			pixelMode = 0;
			areaFactor = 16;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next architect's scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in ft^2.";
			break;
		case "three-sixteenths-inch-to-the-foot (1:64)":
			ruler.src  = "Resources/Images/rulr96_32_18.png";
			legend.src = "Resources/Images/legd_A_64.png";
			label.src  = "Resources/Images/inch_1_64.png";
			button.hOffset = ghOffset + 48;
			buttonText.hOffset = ghOffset + 48;
			minW =  90;
			maxW = 1530;
			scaleFactor = 96;
			pixelMode = 0;
			areaFactor = 256 / 9;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next architect's scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in ft^2.";
			break;
		case "one-eighth-inch-to-the-foot (1:96)":
			ruler.src  = "Resources/Images/rulr96_32.png";
			legend.src = "Resources/Images/legd_A_96.png";
			label.src  = "Resources/Images/inch_1_96.png";
			button.hOffset = ghOffset + 48;
			buttonText.hOffset = ghOffset + 48;
			minW =  96;
			maxW = 1536;
			scaleFactor = 96;
			pixelMode = 0;
			areaFactor = 64;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next architect's scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in ft^2.";
			break;
		case "three-thirty-seconds-inch-to-the-foot (1:128)":
			ruler.src  = "Resources/Images/rulr96_32_9.png";
			legend.src = "Resources/Images/legd_A_128.png";
			label.src  = "Resources/Images/inch_1_128.png";
			button.hOffset = ghOffset + 48;
			buttonText.hOffset = ghOffset + 48;
			minW =  90;
			maxW = 1530;
			scaleFactor = 96;
			pixelMode = 0;
			areaFactor = 1024 / 9;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next architect's scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in ft^2.";
			break;

		default:
			preferences.modePref.value = "100 pixels (10x10)";
			ruler.src  = "Resources/Images/rulr100_10.png";
			legend.src = "Resources/Images/legd100.png";
			label.src  = "Resources/Images/P100_10.png";
			button.hOffset = ghOffset + 50;
			buttonText.hOffset = ghOffset + 50;
			minW =  100;
			maxW = 1500;
			scaleFactor = 100;
			pixelMode = 100;
			areaFactor = 0;
			ruler.tooltip = legend.tooltip = label.tooltip = "Double-click to change to next pixel scale.";
			areaText.tooltip = areaTooltip + "\n\nArea is given in pixel^2.";
			break;
	}
}

function multiClick(img)
{
	if (img == button) { return; }
	switch (preferences.modePref.value)
	{
		case "40 pixels (10x4)":
			preferences.modePref.value = "96 pixels (32x3)";
			break;
		case "96 pixels (32x3)":
			preferences.modePref.value = "96 pixels (48x2)";
			break;
		case "96 pixels (48x2)":
			preferences.modePref.value = "100 pixels (10x10)";
			break;
		case "100 pixels (10x10)":
			preferences.modePref.value = "100 pixels (50x2)";
			break;
		case "100 pixels (50x2)":
			preferences.modePref.value = "40 pixels (10x4)";
			break;
			
		case "1 cm in mm":
			preferences.modePref.value = "1 inch in 32nds";
			break;
		case "1 inch in 32nds":
			preferences.modePref.value = "1 inch in 48ths";
			break;
		case "1 inch in 48ths":
			preferences.modePref.value = "1 inch in 10ths";
			break;
		case "1 inch in 10ths":
			preferences.modePref.value = "1 inch in 50ths";
			break;
		case "1 inch in 50ths":
			preferences.modePref.value = "1 cm in mm";
			break;
			
		case "one-quarter-inch-to-the-foot (1:48)":
			preferences.modePref.value = "three-sixteenths-inch-to-the-foot (1:64)";
			break;
		case "three-sixteenths-inch-to-the-foot (1:64)":
			preferences.modePref.value = "one-eighth-inch-to-the-foot (1:96)";
			break;
		case "one-eighth-inch-to-the-foot (1:96)":
			preferences.modePref.value = "three-thirty-seconds-inch-to-the-foot (1:128)";
			break;
		case "three-thirty-seconds-inch-to-the-foot (1:128)":
			preferences.modePref.value = "one-quarter-inch-to-the-foot (1:48)";
			break;
			
		default:
			preferences.modePref.value = "100 pixels (10x10)";
			break;
	}
	updatePrefs();
}
